aboutsummaryrefslogtreecommitdiffstats
path: root/appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh
diff options
context:
space:
mode:
authorAnand Chaturvedi <ac204h@att.com>2017-08-14 20:10:36 -0400
committerAnand Chaturvedi <ac204h@att.com>2017-08-15 12:33:24 -0400
commite178b07914d5dc40157dede0078e16f645f20f17 (patch)
treec4be070050e016ba93eb08338eb32cbe8a0a601b /appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh
parent0df7ab4f7ef0bfb21797775ec41fcdfb94e2270c (diff)
Added review comment
Initial commit for Network-Inv and AAI client commit 61419e46211f1f1e763d4a84214c62a5e699bdf2 Author: Anand Chaturvedi <ac204h@att.com> Date: Mon Aug 14 19:54:11 2017 -0400 Issue-Id: APPC-21 [OnapMigration] OnapMigration for APPC OutBound Services.. Change-Id: I7db4bcb52b050988b601f3abac544c43f34c677b Signed-off-by: Anand Chaturvedi <ac204h@att.com>
Diffstat (limited to 'appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh')
-rw-r--r--appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh b/appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 000000000..05b4ae373
--- /dev/null
+++ b/appc-outbound/appc-aai-client/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,43 @@
+###
+# ============LICENSE_START=======================================================
+# ONAP : APPC
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Copyright (C) 2017 Amdocs
+# =============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+# ============LICENSE_END=========================================================
+###
+
+#!/bin/bash
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+ODL_KARAF_CLIENT_OPTS=${ODL_KARAF_CLIENT_OPTS:-"-u karaf"}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -n -d ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot}